Bug 883008 - Update support for "cmd_prompt", "login_timeout", "power_timeout", "retry_on", "shell_timeout", and "delay" fence agent attributes
Summary: Update support for "cmd_prompt", "login_timeout", "power_timeout", "retry_on"...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Ryan McCabe
QA Contact: Cluster QE
URL:
Whiteboard:
: 917743 (view as bug list)
Depends On: 618705
Blocks: 835616 884758 969328 969583
TreeView+ depends on / blocked
 
Reported: 2012-12-03 15:57 UTC by Radek Steiger
Modified: 2018-12-06 14:52 UTC (History)
6 users (show)

Fixed In Version: luci-0.26.0-46.el6
Doc Type: Bug Fix
Doc Text:
based on errata 15955 (1445) / BZ#969328 Previously, luci did not reflect concurrent additions to parameters for some fence devices (including "cmd_prompt", "login_timeout", "power_timeout", "retry_on", "shell_timeout") or respective instances ("delay") as happened in the fence-agents package. Consequently, the valid parameters could be dropped from the respective part of the configuration upon submitting the dedicated forms in luci. This update restores the capability of luci to work with a full intended set of fence agents parameters and, in turn, prevents luci from unexpectedly discarding the already configured ones. (BZ#883008)
Clone Of:
: 884758 (view as bug list)
Environment:
Last Closed: 2013-11-21 10:59:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 584775 1 None None None 2021-01-20 06:05:38 UTC
Red Hat Bugzilla 618705 0 low CLOSED Update schema to pull in resource and fencing agent changes 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 912773 1 None None None 2021-01-20 06:05:38 UTC
Red Hat Bugzilla 917743 0 medium CLOSED fence_{virt,xvm} are missing optional "delay" parameter (available since 6.4) 2021-02-22 00:41:40 UTC
Red Hat Product Errata RHSA-2013:1603 0 normal SHIPPED_LIVE Moderate: luci security, bug fix, and enhancement update 2013-11-21 00:39:24 UTC

Internal Links: 584775 618705 912773 917743

Description Radek Steiger 2012-12-03 15:57:07 UTC
Description of problem:

When a delay= option is defined within fence instance, modifying such an instance (i.e. submitting the form) within luci causes the delay option to be removed.



Version-Release number of selected component (if applicable):
luci-0.26.0-29.el6.i686


How reproducible:
Always


Steps to Reproduce:
1. Create fence instance for a selected cluster node
2. Make sure it has a delay= option set to some value
3. Open the node in luci (you can see the delay value displayed)
4. Click on the instance name to open up the edit pop-up
5. Don't modify anything, just submit

  
Actual results:

The delay option has been removed.
<method name="Method">
  <device name="newfence" port="2"/>
</method>


Expected results:

The delay option should stay within the device tag.
<method name="Method">
  <device delay="10" name="newfence" port="2"/>
</method>

Comment 2 Ryan McCabe 2012-12-05 14:16:31 UTC
Fixed in upstream commit

commit f581a7e89a64a04816b083089aba4d4ce5f00274
Author: Ryan McCabe <rmccabe@redhat.com>
Date:   Wed Dec 5 09:14:22 2012 -0500

    luci: Add support for fence device attributes
    
    Add support for configuring the "delay" "power_timeout"
    "shell_timeout" "login_timeout" and "retry_on" attributes
    for fence devices that support them.
    
    Resolves: rhbz#883008
    
    Signed-off-by: Ryan McCabe <rmccabe@redhat.com>

Comment 7 Steven J. Levine 2013-07-19 21:38:09 UTC
Marking as docs_scoped+ since I've already cloned this as a documentation bug.

Comment 21 Jan Pokorný [poki] 2013-10-16 19:05:49 UTC
*** Bug 917743 has been marked as a duplicate of this bug. ***

Comment 22 errata-xmlrpc 2013-11-21 10:59:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1603.html


Note You need to log in before you can comment on or make changes to this bug.